Bug 100593 - xrandr lists unavailable resolutions
xrandr lists unavailable resolutions
Status: CLOSED RAWHIDE
Product: Red Hat Linux Beta
Classification: Retired
Component: XFree86 (Show other bugs)
beta1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks: CambridgeTarget
  Show dependency treegraph
 
Reported: 2003-07-23 12:31 EDT by Michel Alexandre Salim
Modified: 2007-04-18 12:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-14 07:22:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2003-07-23 12:31:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703
Epiphany/0.8.0

Description of problem:
gnome-display-properties ignores the resolution configured through
redhat-config-xfree86 (the value in /etc/X11/XF86Config), resolutions higher
than the maximum allowed resolution are still listed.

Version-Release number of selected component (if applicable):
control-center-2.2.2-1

How reproducible:
Always

Steps to Reproduce:
1. Run redhat-config-xfree86 and lower screen resolution below the allowed
maximum (i.e. max=1400x1050, select 1024x768)
2. Restart X
3. Use gnome-display-properties to select maximum resolution (1400x1050)
    

Actual Results:  Garbled display until X is restarted (telinit 3 && telinit 5)

Expected Results:  Display set to the selected resolution, if not possible, the
resolutions should not be presented

Additional info:
Comment 1 Alexander Larsson 2003-09-04 07:32:57 EDT
We just present whatever the XRandR extension gives us (can be seen with e.g.
the xrandr command). If it lists non-working resolution that is an X bug.
Comment 2 Mike A. Harris 2003-09-04 11:02:29 EDT
I don't completely understand the problem here.  Please provide the X
config file and log file being used, and the xrandr commandline that
is resulting in unexpected behaviour.
Comment 3 Michel Alexandre Salim 2003-09-14 07:22:03 EDT
Fixed in current Rawhide; xrandr only lists resolutions up to the maximum
specified in XF86Config

Note You need to log in before you can comment on or make changes to this bug.